# $Revision: 1.46 $, $Date: 2010/08/20 20:06:48 $
Summary:	IrDA Utilities
Summary(es.UTF-8):	Herramientas de IrDA
Summary(pl.UTF-8):	Narzędzia do IrDA
Name:		irda-utils
Version:	0.9.18
Release:	2
License:	GPL v2+
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/irda/%{name}-%{version}.tar.gz
# Source0-md5:	84dc12aa4c3f61fccb8d8919bf4079bb
Patch0:		%{name}-includes.patch
Patch1:		%{name}-make.patch
URL:		http://irda.sourceforge.net/
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	linux-libc-headers >= 2.4.0
BuildRequires:	pkgconfig
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
IrDA is an exciting way of communicating with remote devices. IrDA
uses infrared wireless communication so no cables are required. Speeds
range from 9600bps to 4Mbps. The types of devices that support IrDA
are LAN adapters, PDA's, printers, laptops, mobile phones etc.

Linux-IrDA is a GNU implementation of the IrDA protocols
specifications written from scratch. Linux-IrDA supports most of the
IrDA protocols like IrLAP, IrLMP, IrIAP, IrTTP, IrLPT, IrLAN, IrCOMM
and IrOBEX.

The IrDA Utils package is a collection of programs, that enables the
use of the IrDA protocols. Some user-space configuration is required
in order to make IrDA work for your machine, and some IrDA features
like IrOBEX is actually implemented in user-space.

Most of the features are implemented in the kernel, so you must enable
IrDA support in the kernel before you can use any of the tools and
programs mentioned in this document.

%description -l es.UTF-8
IrDA es una manera excitante de comunicar con dispositivos remotos.
IrDA usa comunicación inalámbrica infrarroja así que no hacen falta
ningunos cables. Las velocidades varian entre 9600 bps y 4 Mbps. Los
equipos que soportan IrDA son adaptadores de LAN, PDAs, impresoras,
portátiles, teléfonos móviles etc.

Linux-IrDA es una implementación GNU de las especificaciones de los
protocolos de IrDA. Linux-Irda soporta la mayoría de los protocolos:
IrLAP, IrLMP, IrIAP, IrTTP, IrLPT, IrLAN, IrCOMM y IrOBEX.

El paquete IrDA Utils es una colección de programas que permite el uso
de los protocolos de IrDA. Hay que configurar algunas cosas para hacer
IrDA funcionar en su máquina, y algunas cualidaded de IrDA están
implementadas en el espacio del usuario.

La mayoría de las cualidades es implementada en el núcleo, así que
tiene que habilitar el soporte de IrDA en el núcleo antes de poder
utilizar cualquiera de las herramientas y los programas aquí
mencionados.

%description -l pl.UTF-8
IrDA jest sposobem bezprzewodowej komunikacji z urządzeniami
zewnętrznymi przy użyciu podczerwieni. Szybkość od 9600bps do 4Mbps.
Rodzaje urządzeń obsługujących IrDA: interfejsy LAN, PDA, drukarki,
laptopy, telefony przenośne itp.

Linux-IrDA jest implementacją GNU protokołów IrDA napisaną od
początku. Obsługuje większość protokołów: IrLAP, IrLMP, IrIAP, IrTTP,
IrLPT, IrLAN, IrCOMM, IrOBEX.

Pakiet irda-utils jest zestawem programów pozwalających na używanie
protokołów IrDA. Część narzędzi jest wymaganych do uruchomienia IrDA,
część możliwości, jak np. IrOBEX, jest zaimplementowanych w
user-space.

Większość możliwości jest zaimplementowanych w jądrze, więc musisz
mieć jądro z obsługą IrDA zanim użyjesz jakiegokolwiek narzędzia z
tego pakietu.

%package devel
Summary:	IrDA header files
Summary(pl.UTF-8):	Pliki nagłówkowe IrDA
Group:		Development/Libraries

%description devel
IrDA header files to be used by IrDA applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe IrDA, do budowania aplikacji korzystających z IrDA.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%ifarch %{ix86} %{x8664}
%{__make} -C findchip \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcflags}" \
	V=1
%endif

for d in irattach irdadump irdaping irnetd irsockets psion smcinit tekram ; do
%{__make} -C $d \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcflags}" \
	V=1
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_bindir},%{_includedir}}

%ifarch %{ix86} %{x8664}
install findchip/findchip $RPM_BUILD_ROOT%{_sbindir}
%endif
install irattach/{irattach,dongle_attach} $RPM_BUILD_ROOT%{_sbindir}
ln irattach/ChangeLog ChangeLog.irattach
ln irattach/README README.irattach
install irdadump/irdadump $RPM_BUILD_ROOT%{_sbindir}
ln irdadump/ChangeLog ChangeLog.irdadump
ln irdadump/README README.irdadump
install irdaping/irdaping $RPM_BUILD_ROOT%{_sbindir}
install irnetd/irnetd $RPM_BUILD_ROOT%{_sbindir}
install irsockets/{ias_query,irdaspray,irprintf,irprintfx,irscanf,irscanfx,recv_ultra,send_ultra} $RPM_BUILD_ROOT%{_sbindir}
ln irsockets/README README.irsockets
install psion/irpsion5 $RPM_BUILD_ROOT%{_bindir}
install smcinit/{smcinit,tosh1800-smcinit,tosh2450-smcinit} $RPM_BUILD_ROOT%{_sbindir}
ln smcinit/AUTHORS AUTHORS.smcinit
ln smcinit/ChangeLog ChangeLog.smcinit
ln smcinit/README README.smcinit
ln smcinit/README.Peri README.smcinit.Peri
ln smcinit/README.Rob README.smcinit.Rob
ln smcinit/README.Tom README.smcinit.Tom
install tekram/irkbd $RPM_BUILD_ROOT%{_sbindir}
ln tekram/README README.tekram
install include/irda.h $RPM_BUILD_ROOT%{_includedir}

for s in 4 7 8 ; do
	install -d $RPM_BUILD_ROOT%{_mandir}/man${s}
	for f in man/*.${s}.gz ; do
		gzip -dc "$f" >$RPM_BUILD_ROOT%{_mandir}/man${s}/$(basename $f .gz)
	done
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS* ChangeLog* README* etc/modules.conf.irda man/{ChangeLog,README,TODO}.man smcinit/RobMiller-irda.html
%attr(755,root,root) %{_sbindir}/dongle_attach
%ifarch %{ix86} %{x8664}
%attr(755,root,root) %{_sbindir}/findchip
%endif
%attr(755,root,root) %{_sbindir}/ias_query
%attr(755,root,root) %{_sbindir}/irattach
%attr(755,root,root) %{_sbindir}/irdadump
%attr(755,root,root) %{_sbindir}/irdaping
%attr(755,root,root) %{_sbindir}/irdaspray
%attr(755,root,root) %{_sbindir}/irkbd
%attr(755,root,root) %{_sbindir}/irnetd
%attr(755,root,root) %{_sbindir}/irprintf
%attr(755,root,root) %{_sbindir}/irprintfx
%attr(755,root,root) %{_sbindir}/irscanf
%attr(755,root,root) %{_sbindir}/irscanfx
%attr(755,root,root) %{_sbindir}/recv_ultra
%attr(755,root,root) %{_sbindir}/send_ultra
%attr(755,root,root) %{_sbindir}/smcinit
%attr(755,root,root) %{_sbindir}/tosh1800-smcinit
%attr(755,root,root) %{_sbindir}/tosh2450-smcinit
%attr(755,root,root) %{_bindir}/irpsion5
%{_mandir}/man4/irnet.4*
%{_mandir}/man7/irda.7*
%ifarch %{ix86} %{x8664}
%{_mandir}/man8/findchip.8*
%endif
%{_mandir}/man8/irattach.8*
%{_mandir}/man8/irdadump.8*
%{_mandir}/man8/irdaping.8*
%{_mandir}/man8/irnetd.8*
%{_mandir}/man8/irpsion5.8*
%{_mandir}/man8/smcinit.8*
%{_mandir}/man8/tosh1800-smcinit.8*

%files devel
%defattr(644,root,root,755)
%{_includedir}/irda.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: irda-utils.spec,v $
Revision 1.46  2010/08/20 20:06:48  arekm
- release 2

Revision 1.45  2010/08/20 20:00:53  qboosh
- findchip on x86* only

Revision 1.44  2010/07/08 20:28:11  qboosh
- updated to 0.9.18
- removed obsolete gcc4 patch, added make patch

Revision 1.43  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.42  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.41  2006/03/08 01:02:46  adgor
- 0.9.17-pre3
- Removed gtk+2.patch (already aplied)

Revision 1.40  2006/01/05 20:44:36  pluto
= gcc4 fix, release 2 for Th.

Revision 1.39  2005/06/06 14:07:58  zbyniu
- BR: pkgconfig

Revision 1.38  2004/08/22 18:49:53  qboosh
- added includes patch, don't use kernel heades in userspace
- dropped Linux 2.2.x headers support

Revision 1.37  2004/08/16 06:23:59  kosmo
- updated to 0.9.16

Revision 1.36  2003/11/21 16:23:18  saq
- gtk+2.patch to use glib2, not glib1
- es translations
- release 5
- STBR for Ac

Revision 1.35  2003/11/16 17:43:26  krzak
- fixed _kernel24 definition

Revision 1.34  2003/09/28 13:22:26  arekm
- init script is obsolete (rc-scripts are handling this); proper sbindir; rel 4

Revision 1.33  2003/05/28 12:59:12  malekith
- massive attack: source-md5

Revision 1.32  2003/05/25 05:49:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/02/25 12:55:33  qboosh
- working Source URL

Revision 1.30  2002/10/09 13:14:35  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.29  2002/09/02 10:54:37  grabba
-- improved init script
-- release 3

Revision 1.28  2002/08/27 15:05:36  marcus
- fix for irsockets for 2.4

Revision 1.27  2002/08/26 11:25:56  marcus
- commented build irsocket (it will build with kernel 2.4 headers in future)

Revision 1.26  2002/08/26 07:39:39  marcus
- irda-utils is NOT only fot ix86

Revision 1.25  2002/08/25 20:53:03  kloczek
- updated to 0.9.15: bugfixes.

Revision 1.24  2002/06/23 20:32:29  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.23  2002/05/21 23:13:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.22  2002/04/25 16:37:39  arturs
fixed a small typo

Revision 1.21  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.20  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.19  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/02 20:19:29  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.17  2002/01/18 02:13:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/09/24 14:14:14  qboosh
- Prereq: /sbin/chkconfig
- pl description
- release 4

Revision 1.15  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.13  2001/07/14 21:31:27  zagrodzki
- rel 3.
- added missing post/preun scripts

Revision 1.12  2001/07/13 18:45:25  kloczek
- cosmetics and added missing BuildRequires rules.

Revision 1.11  2001/07/13 13:55:35  zagrodzki
- rel. 2
- added missing docs

Revision 1.10  2001/07/13 13:51:11  zagrodzki
- limited to intel arch.

Revision 1.9  2001/07/13 13:43:16  zagrodzki
- libtoolize

Revision 1.8  2001/07/13 12:20:50  zagrodzki
- fixed URL and Source0

Revision 1.7  2001/07/13 12:15:28  zagrodzki
- rewritten

Revision 1.6  2001/05/02 16:29:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.5  2000/12/06 02:38:52  agaran
Just passed trough adapter

* Fri Sep 17 1999 Cristian Gafton <gafton@redhat.com>
- build for RH 6.1
- add pacth to make the damn package compile without any IrDA installed.
